## org.jfree.chart
Class LegendItemCollection

    java.lang.Object
      org.jfree.chart.LegendItemCollection

    public class LegendItemCollection

extends java.lang.Object

A collection of legend items.

Constructor Summary
`LegendItemCollection()` Constructs a new legend item collection, initially empty.

Method Summary
`void` `add(LegendItem item)` Adds a legend item to the collection.
`void` `addAll(LegendItemCollection collection)` Adds the legend items from another collection to this collection.
`LegendItem` `get(int index)` Returns a legend item from the collection.
`int` `getItemCount()` Returns the number of legend items in the collection.
`java.util.Iterator` `iterator()` Returns an iterator that provides access to all the legend items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegendItemCollection

    public LegendItemCollection()

  Constructs a new legend item collection, initially empty.

Method Detail

### add

    public void add(LegendItem item)

  Adds a legend item to the collection.

  Parameters:
    `item` - the item to add.

### addAll

    public void addAll(LegendItemCollection collection)

  Adds the legend items from another collection to this collection.

  Parameters:
    `collection` - the other collection.

### get

    public LegendItem get(int index)

  Returns a legend item from the collection.

  Parameters:
    `index` - the legend item index (zero-based).
  Returns:
    the legend item.

### getItemCount

    public int getItemCount()

  Returns the number of legend items in the collection.

  Returns:
    the item count.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator that provides access to all the legend items.

  Returns:
    an iterator.